Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 236188

Summary: Bad Provides
Product: [Fedora] Fedora Reporter: Michael Schwendt <bugs.michael>
Component: compat-libosip2Assignee: Jeffrey C. Ollie <jeff>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideKeywords: Reopened
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 2.2.2-13.fc7 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-07-19 16:45:08 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 213321    

Description Michael Schwendt 2007-04-12 12:39:31 UTC
> compat-libosip2 - 2.2.2-9.fc7.i386  
> provides libosip2 EQ 0 2.2.2 5.fc7 
> fedora-extras-development-i386
>    but there is: libosip2 - 3.0.1-2.fc7.i386

> compat-libosip2-devel - 2.2.2-9.fc7.i386  
> provides libosip2-devel EQ 0 2.2.2 5.fc7 
> fedora-extras-development-i386
>     but there is: libosip2-devel - 3.0.1-2.fc7.i386

Please remove the "Provides: libosip2...".

Installing libosip2* removes compat-libosip2*. For background refer
to the current gtkhtml38 thread on fedora-test-list and the ticket
linked therein.

Comment 1 Jeffrey C. Ollie 2007-04-12 19:44:27 UTC
Fixed in the next release.

Comment 2 Michael Schwendt 2007-07-05 11:41:06 UTC
Not fixed yet:

$ rpm -qa '*osip*'
$ sudo rpm -i compat-libosip2-devel-2.2.2-12.fc7.i386.rpm
compat-libosip2-2.2.2-12.fc7.i386.rpm 
$ rpm -qa '*osip*'
compat-libosip2-2.2.2-12.fc7
compat-libosip2-devel-2.2.2-12.fc7
$ sudo rpm -U libosip2-devel-3.0.1-2.fc7.i386.rpm libosip2-3.0.1-2.fc7.i386.rpm 
$ rpm -qa '*osip*'
libosip2-devel-3.0.1-2.fc7
compat-libosip2-2.2.2-12.fc7
libosip2-3.0.1-2.fc7

 => compat-libosip2-devel was upgraded by libosip2-devel

This can also happen with yum updates.


Comment 3 Fedora Update System 2007-07-17 16:44:11 UTC
compat-libosip2-2.2.2-13.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2007-07-19 16:45:06 UTC
compat-libosip2-2.2.2-13.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.